﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour UserControlEdit.xaml
    /// </summary>
    public partial class UserControlEdit : UserControl
    {
        public UserControlEdit()
        {
            InitializeComponent();
            Manager.LoadRequins();

            DataContext = Manager;

        }

        public Manager Manager => (Application.Current as App).LeManager;


        private Requin _requin;
        public Requin requin
        {
            get { return _requin; }
            set
            {
                _requin = value;
                UptadeUi(_requin);
            }
        }




     
        public void UptadeUi(Requin requin)
        {
            leNom.Contenu = requin.Nom;
            nomSci.Contenu = requin.NomSci;
            desc.Contenu = requin.Description;
            LienPhoto.Contenu = requin.Photo;
            LienVid.Contenu = requin.Video;
            LienMap.Contenu = requin.PhotoCarte;
            funFact.Contenu = requin.FunFact;
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapAcc();
        }

        private void submit_Click(object sender, RoutedEventArgs e)
        {
            int testCons = 0;
            List<Zone> lesZones = new List<Zone>();
            Conservation cons = new Conservation();
            string nom = leNom.LeContenu.Text;
            string sciNam = nomSci.LeContenu.Text;
            string descri = desc.LeContenu.Text;
            string photo = LienPhoto.LeContenu.Text;
            string video = LienVid.LeContenu.Text;
            string map = LienMap.LeContenu.Text;
            string fun = funFact.LeContenu.Text;

            if (ex.IsChecked == true)
            {
                cons = Conservation.EX;
                testCons++;
            }
            else if (ew.IsChecked == true)
            {
                cons = Conservation.EW;
                testCons++;
            }
            else if (cr.IsChecked == true)
            {
                cons = Conservation.CR;
                testCons++;
            }
            else if (en.IsChecked == true)
            {
                cons = Conservation.EN;
                testCons++;
            }
            else if (vu.IsChecked == true)
            {
                cons = Conservation.VU;
                testCons++;
            }
            else if (nt.IsChecked == true)
            {
                cons = Conservation.NT;
                testCons++;
            }
            else if (lc.IsChecked == true)
            {
                cons = Conservation.LC;
            }
            else if (dd.IsChecked == true)
            {
                cons = Conservation.DD;
                testCons++;
            }
            else if (ne.IsChecked == true)
            {
                cons = Conservation.NE;
                testCons++;
            }



            if (Arct.IsChecked == true)
            {
                lesZones.Add(Zone.ARCTIQUE);
            }
            if (Atla.IsChecked == true)
            {
                lesZones.Add(Zone.ATLANTIQUE);
            }
            if (Indi.IsChecked == true)
            {
                lesZones.Add(Zone.INDIEN);
            }
            if (Paci.IsChecked == true)
            {
                lesZones.Add(Zone.PACIFIQUE);
            }

            if (testCons == 0 || lesZones.Count() == 0 || string.IsNullOrWhiteSpace(nom) || string.IsNullOrWhiteSpace(sciNam) || string.IsNullOrWhiteSpace(descri)
                || string.IsNullOrWhiteSpace(photo) || string.IsNullOrWhiteSpace(video) || string.IsNullOrWhiteSpace(map) || string.IsNullOrWhiteSpace(fun))
            {
                return;
            }
            else
            {

                Requin requin = new Requin(nom, sciNam, descri, photo, video, map, cons , lesZones, fun);

                foreach (Requin req in Manager.Requins)
                {
                    if (req.Equals(requin))
                    {
                        Manager.ModifieRequin(req, requin);
                        break;
                    }
                }

            ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapAcc();
            }
        }
    }
}
